Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezerror/admin/error.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: error.php 6211 2001-07-19 12:45:08Z jakobn $
5 //
6 // Created on: <23-Feb-2001 16:53:09 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29
30 & eZINI::instance( 'site.ini' );
31 $Language = $ini->variable( "eZErrorMain", "Language" );
32
33 $t = new eZTemplate( "kernel/ezerror/admin/" . $ini->variable( "eZErrorMain", "AdminTemplateDir" ),
34 "kernel/ezerror/admin/intl/", $Language, "error.php" );
35
36 $t->setAllStrings();
37 $t->set_file( array( "error_page" => "error.tpl" ) );
38 $t->set_block( "error_page", "additional_information_tpl", "additional_information" );
39
40 if( isset( $Info ) && !empty( $Info ) )
41 {
42 $t->set_var( "additional_info", stripslashes( $Info ) );
43 $t->parse( "additional_information", "additional_information_tpl", true );
44 }
45 else
46 {
47 $t->set_var( "additional_information", "" );
48 }
49
50 $t->pparse( "output", "error_page" );
51
52 ?>
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$t
$t
Definition: ezerror/admin/error.php:33
$Language
$Language
Definition: ezerror/admin/error.php:31
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.